/*
 * Copyright 2021 Xilinx, Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef FLASH_LAYOUT_H__
#define FLASH_LAYOUT_H__

#define RBE_VERSION         0
#define RBE_RESERVED_BYTES  100
typedef struct ReservedBlockEntry {
    uint32_t qVersion;
    uint32_t qImageOffset;
    uint32_t qImageSize;
    uint32_t qImageChecksum;
    uint8_t pbImageId[128];
    uint8_t pbReserved[RBE_RESERVED_BYTES];
    uint32_t qErrCode;          /* Used for live tracking */
    uint32_t qErrBSP;           /* Used for live tracking */
    uint32_t qEntryChecksum;    /* Used on flash */
} ReservedBlockEntry;

#endif  /* FLASH_LAYOUT_H__ */
