/*
 * Copyright 2021 Xilinx, Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include "common.h"

void Info(Sys* pSys,const char* pcFmt,...)
{
    va_list ap;

    va_start(ap,pcFmt);
    Output(pSys,PRINT_INFO,0,pcFmt,ap);
    va_end(ap);
}

void Verbose(Sys* pSys,const char* pcFmt,...)
{
    va_list ap;

    va_start(ap,pcFmt);
    if(IsVerboseEnabled(pSys)) {
        Output(pSys,PRINT_INFO_NONL,0,"x86: ",ap);
        Output(pSys,PRINT_INFO,0,pcFmt,ap);
    }
    va_end(ap);
}

void Warn(Sys* pSys,int iErr,const char* pcFmt,...)
{
    va_list ap;

    va_start(ap,pcFmt);
    Output(pSys,PRINT_WARN,iErr,pcFmt,ap);
    va_end(ap);
}

void Die(Sys* pSys,int iErr,const char* pcFmt,...)
{
    va_list ap;

    va_start(ap,pcFmt);
    Output(pSys,PRINT_DIE,iErr,pcFmt,ap);
    va_end(ap);

    /* Not reached */
    exit(-1);
}
