#! /usr/bin/env bash
#
# Copyright 2021 Xilinx, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
set -x
set -e
APP_DIR="$1"
APP_DIR=${APP_DIR%/}
if [ ! -d "$APP_DIR" ]; then
    echo Directory "$APP_DIR" not found
    exit 1
fi

pushd "${APP_DIR}"
    eval "APP_FULL_DIR=$(pwd)"
popd

APP_NAME="${APP_DIR##*/}"
APP_XSCT_SCRIPT="${APP_FULL_DIR}/xsct_script"
if [ ! -f "${APP_XSCT_SCRIPT}" ]; then
    echo "Error: Cannot find ${APP_XSCT_SCRIPT}"
    exit 1
fi
APP_CORE_SH="${APP_FULL_DIR}/r5_core.sh"
if [ ! -f "${APP_CORE_SH}" ]; then
    echo "Error: Cannot find ${APP_CORE_SH}"
    exit 1
fi
# r5-0 r5-1 r5-lockstep
APP_R5_CORE=$(bash "${APP_CORE_SH}")
APP_PROC=$(echo "psv_cortex${APP_R5_CORE}"|sed -e 's/-/_/')

if [[ "X${DESIGN}" != "X" ]]; then
    APP_BUILD_DIR="${APP_FULL_DIR}/build-${DESIGN}"
    APP_WORKSPACE="${APP_BUILD_DIR}/workspace"
    APP_R5_ELF="${APP_WORKSPACE}/${APP_NAME}/Release/${APP_NAME}.elf"
fi
