#! /usr/bin/env bash
#
# Copyright 2021 Xilinx, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
set -x
set -e

if [[ "X$1" = "X" ]]; then
    echo "Usage: $0 DESIGN"
    exit 1
fi
DESIGN=$1
DIR=pan_test_$DESIGN

rm -rf $DIR
mkdir $DIR
mkdir $DIR/images
mkdir $DIR/pan_uio
mkdir $DIR/target_scripts

cp ../x86_app/x86_app $DIR
cp ../x86_app/boards.csv $DIR
cp ../x86_app/images.csv $DIR
cp ../designs/${DESIGN}/*.pdi $DIR

cp bootgen-${DESIGN}*r5_app-r5-0/*.bin $DIR/r5_app.bin
cp bootgen-${DESIGN}*r5_multiboot_app-r5-0/*.bin $DIR/r5_multiboot_app.bin
cp bootgen-${DESIGN}*r5_golden_app-r5-0/*.bin $DIR/r5_golden_app.bin

cp ../pan_uio/do.sh $DIR/pan_uio
cp ../pan_uio/Makefile $DIR/pan_uio
cp ../pan_uio/pan_uio.c $DIR/pan_uio
cp ../target_scripts/* $DIR/target_scripts

tar cvfj $DIR.tgj $DIR
rm -rf $DIR
exit 0
