#! /usr/bin/env bash
#
# Copyright 2021 Xilinx, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

set -x
set -e
TOP=..
if [ "X$1" = "X" ]; then
    echo Must specify credentials 'user@machine'
    exit 1
fi
CREDS=$1
ssh $CREDS mkdir -p pan
ssh $CREDS mkdir -p pan/test
ssh $CREDS mkdir -p pan/multiboot_vck190
pushd $TOP/x86_app
    ssh $CREDS rm -rf pan/x86_app
    scp x86_app $CREDS:~/pan
    scp boards.csv $CREDS:~/pan
    scp images.csv $CREDS:~/pan/test
popd
pushd $TOP/r5_app/vck190
    ssh $CREDS rm -rf pan/BOOT.BIN
    scp BOOT.BIN $CREDS:~/pan
    ssh $CREDS rm -rf pan/test/BOOT_qspi.bin
    scp BOOT.BIN $CREDS:~/pan/test/BOOT_qspi.bin
popd
pushd $TOP/r5_multiboot_app/vck190
    ssh $CREDS rm -rf pan/multiboot_vck190/BOOT.BIN
    scp BOOT.BIN $CREDS:~/pan/multiboot_vck190
    ssh $CREDS rm -rf pan/test/BOOT_multiboot.bin
    scp BOOT.BIN $CREDS:~/pan/test/BOOT_multiboot.bin
popd
#ssh -X $CREDS pan/update_and_reboot.sh || true
#sleep 30
#ssh -X $CREDS pan/launch_app.sh
